petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecDestroyVecsF90

Frees a block of vectors obtained with VecDuplicateVecsF90().

### Synopsis

    VecDestroyVecsF90(PetscInt n,{Vec, pointer :: x(:)},PetscErrorCode ierr)

Collective on Vec

### Input Parameters

| n | - the number of vectors previously obtained
| x | - pointer to array of vector pointers

### Output Parameter

ierr -error code

### Notes

Not yet supported for all F90 compilers

### See Also

VecDestroyVecs(), VecDuplicateVecsF90()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages